import type { RegisteredSeriesOption } from 'echarts/types/dist/shared';
import { EC } from '../charts';
import { SeriesProps } from '../utility';
export type ParallelSeriesProps = SeriesProps<RegisteredSeriesOption['parallel']>;
/**
 * @example
 * ```tsx
 * <ParallelSeries data={[
 *     [12.99, 100, 82, 'Good'],
 *     [9.99, 80, 77, 'OK'],
 *     [20, 120, 60, 'Excellent']
 * ]} />
 * ```
 */
export declare const ParallelSeries: EC<ParallelSeriesProps>;
export type ScatterSeriesProps = SeriesProps<RegisteredSeriesOption['scatter']>;
/**
 * @example
 * ```tsx
 * <ScatterSeries data={[
 *     [10.0, 8.04],
 *     [8.07, 6.95],
 *     [13.0, 7.58]
 * ]} />
 * ```
 */
export declare const ScatterSeries: EC<ScatterSeriesProps>;
export type LineSeriesProps = SeriesProps<RegisteredSeriesOption['line']>;
/**
 * @example
 * ```tsx
 * <LineSeries data={[5, 20, 36, 10, 10, 20]} />
 * ```
 */
export declare const LineSeries: EC<LineSeriesProps>;
export type BarSeriesProps = SeriesProps<RegisteredSeriesOption['bar']>;
/**
 * @example
 * ```tsx
 * <BarSeries data={[5, 20, 36, 10, 10, 20]} />
 * ```
 */
export declare const BarSeries: EC<BarSeriesProps>;
export type CandlestickSeriesProps = SeriesProps<RegisteredSeriesOption['candlestick']>;
/**
 * @example
 * ```tsx
 * <CandlestickSeries data={[
 *     [20, 34, 10, 38],
 *     [40, 35, 30, 50],
 *     [31, 38, 33, 44],
 *     [38, 15, 5, 42]
 * ]} />
 * ```
 */
export declare const CandlestickSeries: EC<CandlestickSeriesProps>;
