import type { HeatmapSeriesOption, GraphSeriesOption, FunnelSeriesOption, ThemeRiverSeriesOption } from 'echarts/charts';
import { EC } from '../charts';
import { SeriesProps } from '../utility';
export type HeatMapSeriesProps = SeriesProps<HeatmapSeriesOption>;
export declare const HeatMapSeries: EC<HeatMapSeriesProps>;
export type GraphSeriesProps = SeriesProps<GraphSeriesOption>;
export declare const GraphSeries: EC<GraphSeriesProps>;
export type FunnelSeriesProps = SeriesProps<FunnelSeriesOption>;
export declare const FunnelSeries: EC<FunnelSeriesProps>;
export type ThemeRiverSeriesProps = SeriesProps<ThemeRiverSeriesOption>;
/**
 * @example
 * ```tsx
 * <ThemeRiverSeries
 *     data={[
 *         ['2015/11/08', 10, 'DQ'],
 *         ['2015/11/09', 15, 'DQ'],
 *         ['2015/11/10', 35, 'DQ']
 *     ]}
 * />
 * ```
 */
export declare const ThemeRiverSeries: EC<ThemeRiverSeriesProps>;
