import type { RegisteredSeriesOption, RadarOption } from 'echarts/types/dist/shared';
import { EC } from '../charts';
import { EventHandlerProps, SeriesProps } from '../utility';
export type PieSeriesProps = SeriesProps<RegisteredSeriesOption['pie']>;
/**
 * @example
 * ```tsx
 * <PieSeries data={[
 *     { value: 1048, name: 'Search Engine' },
 *     { value: 735, name: 'Direct' },
 *     { value: 580, name: 'Email' },
 *     { value: 484, name: 'Union Ads' },
 *     { value: 300, name: 'Video Ads' }
 * ]} />
 * ```
 */
export declare const PieSeries: EC<PieSeriesProps>;
export type RadarProps = EventHandlerProps & RadarOption;
export declare const Radar: EC<RadarProps>;
export type RadarSeriesProps = SeriesProps<RegisteredSeriesOption['radar']>;
/**
 * @example
 * ```tsx
 * <RadarSeries data={[
 *     [20, 34, 10, 38],
 *     [40, 35, 30, 50],
 *     [31, 38, 33, 44],
 *     [38, 15, 5, 42]
 * ]} />
 * ```
 */
export declare const RadarSeries: EC<RadarSeriesProps>;
export type SunburstSeriesProps = SeriesProps<RegisteredSeriesOption['sunburst']>;
export declare const SunburstSeries: EC<SunburstSeriesProps>;
export type GaugeSeriesProps = SeriesProps<RegisteredSeriesOption['gauge']>;
/**
 * @example
 * ```tsx
 * <GaugeSeries
 *     name="Pressure"
 *     detail={{ formatter: '{value}' }}
 *     data={[{ value: 50, name: 'SCORE' }]}
 * />
 */
export declare const GaugeSeries: EC<GaugeSeriesProps>;
