import { CamelEventName } from 'web-utility';
import { PropsWithChildren } from 'react';
import { ElementEvent, CallbackDataParams, RegisteredSeriesOption, SeriesOption } from 'echarts/types/dist/shared';
import { EChartsType, use } from 'echarts/core';
import * as charts from 'echarts/charts';
import * as components from 'echarts/components';
export type EventHandlerKey = `on${Capitalize<CamelEventName<ElementEvent['type']>>}`;
export type EventHandler = (data: CallbackDataParams) => any;
export type EventHandlerProps = Partial<Record<EventHandlerKey, EventHandler>>;
export type SeriesProps<T extends SeriesOption> = EventHandlerProps & Omit<T, 'type'>;
export type ECBasicOption = Parameters<EChartsType['setOption']>[0];
export type ECExtensions = Parameters<typeof use>[0];
export declare const optionCreator: <T>(key: string) => ({ children, ...props }: PropsWithChildren<T>) => {
    [x: string]: Omit<PropsWithChildren<T>, "children">;
};
export declare const seriesOptionCreator: <T extends SeriesOption>(type: keyof RegisteredSeriesOption) => ({ children, ...props }: PropsWithChildren<T>) => {
    series: Omit<PropsWithChildren<T>, "children"> & {
        type: keyof RegisteredSeriesOption;
    };
};
export declare const chartLoader: (names: (keyof typeof charts)[]) => () => Promise<(typeof charts.BarChart | typeof charts.BoxplotChart | typeof charts.CandlestickChart | typeof charts.CustomChart | typeof charts.EffectScatterChart | typeof charts.FunnelChart | typeof charts.GaugeChart | typeof charts.GraphChart | typeof charts.HeatmapChart | typeof charts.LineChart | typeof charts.LinesChart | typeof charts.MapChart | typeof charts.ParallelChart | typeof charts.PictorialBarChart | typeof charts.PieChart | typeof charts.RadarChart | typeof charts.SankeyChart | typeof charts.ScatterChart | typeof charts.SunburstChart | typeof charts.ThemeRiverChart | typeof charts.TreeChart | typeof charts.TreemapChart)[]>;
export declare const componentLoader: (names: (keyof typeof components)[]) => () => Promise<ECExtensions>;
